using System;
using Cute;

public class NotTurnStartToLoseChecker : NetworkBattleIntervalCheckerBase
{
	private const float NOT_TURNSTART_TO_LOSE_INTERVAL = 75f;

	public event Action OnNotTurnStartToLose;

	public override void StopChecker()
	{
		if (!((float)NetworkUtility.GetTimeSpanSecond(base.startTick) >= 75f))
		{
			base.StopChecker();
		}
	}

	protected override void IntervalCheck()
	{
		base.IntervalCheck();
		if ((float)NetworkUtility.GetTimeSpanSecond(base.startTick) >= 75f)
		{
			this.OnNotTurnStartToLose.Call();
			InitTimer();
			StopChecker();
		}
	}
}
